Require Import bool.
Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter S : nat -> nat.
Parameter match_nat_type : forall (return_:Type), return_ -> (nat -> return_) -> nat -> return_.
Parameter leb : nat -> nat -> bool.bool.
Parameter leb_body : nat -> nat -> bool.bool.
Axiom axiom_leb_body_S : forall (n:nat), connectives.equal (nat -> bool.bool) (leb_body (S n)) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => leb n q) m).
Definition eq_leb_body_S : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (leb_body (S n)) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => leb n q) m) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> bool.bool)) (leb_body (S n))) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => leb n q) m)) ((axiom_leb_body_S) (n)).
Definition sym_eq_leb_body_S : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => leb n q) m) (leb_body (S n)) := fun (n:nat) => ((((leibniz.sym_leibniz) (nat -> bool.bool)) (leb_body (S n))) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => leb n q) m)) ((eq_leb_body_S) (n)).
